MerchantE API Docs

Check File Status

Query status of request files and availability of response files.

Returns indexed status sets (_0, _1, _2, etc.) for multiple files.

Status Types:

  • PENDING - Request file received, response pending
  • FAILED - Request file generated errors while being processed
  • SUCCESS - Response file received

Filter Options:

  • ALL - All available response files plus all pending request files (default)
  • RESPONSE - All available response files
  • NEW - All available response files that have not previously been downloaded
  • ERROR - Any request files that have an error status

Query Parameters

Required3 fields
userIdstring
User login name
maxLength=75
userPassstring
User login password
format=password · maxLength=32
merchIdstring
ME merchant number, must be linked to userId in AUS system
maxLength=32
Others2 fields
statusFilterstringenum
Optional filter for returned statuses
maxLength=16
reqfIdstring
Optional. Returns all response files associated with the indicated request file
pattern=^\d{1,12}$ · maxLength=12

Responses

200
Status inquiry response in URL-encoded format

Status inquiry response in URL-encoded format.

Contains indexed parameter sets (_0, _1, etc.) when multiple files returned.

Common3 fields
rspCodestring
Response code, 0 = OK
maxLength=4
rspMessagestring
Response message
maxLength=200
statusCountstring
Number of status parameter sets in this response
maxLength=4
When Provided5 fields
reqfId_nstring
AUS system generated request file ID (indexed)
maxLength=12
reqfName_nstring
Request file name (indexed)
maxLength=64
status_nstringenum
File status (indexed) - PENDING, FAILED, or SUCCESS
maxLength=16
rspfId_nstring
Response file ID (indexed) - only present if response available
maxLength=12
dlCount_nstring
Download count (indexed) - only present if response available. 0 indicates new file.
maxLength=4

Example Response

rspCode=0&rspMessage=OK&statusCount=1&reqfId_0=123456&reqfName_0=test_file.txt&status_0=SUCCESS&rspfId_0=987654&dlCount_0=0

Code samples

Copy-paste ready code in your preferred language.

API call

Copy/paste friendly
curl -X GET "https://test.merchante-solutions.com/srv/api/ausStatus?userId=ausmerchant&userPass=SecureP%40ss123&merchId=941000057778"